import { IEntityCollectionReference, TypeKey } from '@essential-projects/core_contracts';
export declare class EntityCollectionReference implements IEntityCollectionReference {
    private _namespace;
    private _type;
    private _relatedType;
    private _relatedAttribute;
    private _id;
    resolve: boolean;
    constructor(namespace: string, type: TypeKey, id: string, relatedType: TypeKey, relatedAttribute: string, resolve?: boolean);
    readonly namespace: string;
    readonly type: TypeKey;
    readonly id: string;
    readonly relatedType: TypeKey;
    readonly relatedAttribute: string;
    toPojo(): any;
}
