import { IInvoker } from '@essential-projects/invocation_contracts';
import { ISecurityService } from '@essential-projects/security_service_contracts';
import { IFactoryAsync } from 'addict-ioc';
import { IDatastoreService, IEntityDependencyHelper } from './index';
export declare class EntityDependencyHelper implements IEntityDependencyHelper {
    private _datastoreService;
    private _datastoreServiceFactory;
    securityService: ISecurityService;
    invoker: IInvoker;
    constructor(datastoreServiceFactory: IFactoryAsync<IDatastoreService>, securityService: ISecurityService, invoker: IInvoker);
    getDatastoreService(): Promise<IDatastoreService>;
}
