import { IEntityReference, IPojoEntityReference, TypeKey } from '@essential-projects/core_contracts';
export declare class EntityReference implements IEntityReference {
    private _namespace;
    private _type;
    private _id;
    constructor(namespace: string, type: TypeKey, id: string);
    readonly namespace: string;
    readonly type: TypeKey;
    readonly id: string;
    toPojo(): IPojoEntityReference;
}
