import { IEntityType } from './entity/index';
import { IEntity } from '@essential-projects/core_contracts';
export interface IDataModel<T extends IEntity> {
    getEntityTypeKeys(options?: any): Array<string>;
    getEntityType(namespace: string, typeName: string, additionalEntityTypeConfig?: any): Promise<IEntityType<T>>;
    getEntityTypeService(namespace: string, typeName: string, additionalEntityTypeServiceConfig?: any): Promise<any>;
    dispose(): Promise<void>;
}
