import { IExpand, IIndexes, ISchema, ISchemaAttribute, ISchemaAttributes } from '@essential-projects/core_contracts';
export declare class Schema implements ISchema {
    private _name;
    private _entityKey;
    private _schema;
    constructor(entityKey: string, schema: ISchema);
    private readonly schema;
    readonly name: string;
    readonly entityKey: string;
    readonly namespace: string;
    readonly attributes: ISchemaAttributes;
    readonly expandEntity: Array<IExpand>;
    readonly expandCollection: Array<IExpand>;
    readonly indexes: IIndexes;
    readonly isAbstract: boolean;
    findAttribute(path: string): ISchemaAttribute;
}
