import {IDatastoreService} from '../idatastore_service';

import {IInvoker} from '@essential-projects/invocation_contracts';
import {ISecurityService} from '@essential-projects/security_service_contracts';

export interface IEntityDependencyHelper {
  securityService: ISecurityService;
  invoker: IInvoker;
  getDatastoreService(): Promise<IDatastoreService>;
}
