import {ExecutionContext, IPrivateQueryOptions, ISchemaAttribute} from '@essential-projects/core_contracts';

export interface IProperty {
  schema: ISchemaAttribute;
  initializeValue(): Promise<void>;
  getValue(valueSource: any): any;
  getValueLazy(valueSource: any, context: ExecutionContext, options?: IPrivateQueryOptions): Promise<any>;
  setValue(valueTarget: any, value: any): void;
  updateFromRemote(remoteValue: any): void;
  isDirty(): boolean;
  isEntity(): boolean;
  isEntityReference(): boolean;
  isEntityCollectionReference(): boolean;
}
